关闭

Android drawable-v21文件夹下xml文件,手机版本不兼容

455人阅读 评论(0) 收藏 举报
分类:
在开发中遇到这个问题,把xml文件放在drawable-v21文件夹下,在Android版本API 22中,可以正常运行,但是在API19中则报出xml布局文件错误的问题,经过一番排查,才知道是手机版本兼容问题,drawable-v21文件夹是v7包用于存放xml文件,但是在API 21以上才可使用,否则会报出xml布局文件的错误,要在API 21以下使用drawable中的xml文件,还是要把 其放在drawable中。
0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:184579次
    • 积分:2067
    • 等级:
    • 排名:第19665名
    • 原创:4篇
    • 转载:192篇
    • 译文:0篇
    • 评论:11条
    最新评论